Share feedback
Answers are generated based on the documentation.

Get service provider config

GET/v2/scim/2.0/ServiceProviderConfig
Returns a service provider config for Docker's configuration.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • scimToken

Parameters

No parameters are declared.

Request and responses

Response 200

application/scim+json

Schema: scim_service_provider_config

Schema example

{
  "authenticationSchemes": [
    {
      "name": "OAuth 2.0 Bearer Token",
      "specUri": "http://tools.ietf.org/html/rfc6750",
      "type": "oauthbearertoken"
    }
  ],
  "bulk": {
    "maxOperations": 0,
    "maxPayloadSize": 0,
    "supported": false
  },
  "changePassword": {
    "supported": false
  },
  "etag": {
    "supported": false
  },
  "filter": {
    "maxResults": 200,
    "supported": true
  },
  "patch": {
    "supported": true
  },
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
  ],
  "sort": {
    "supported": true
  }
}

Response 401

Unauthorized

application/scim+json

All constraints apply

Schema: scim_error

status
All schema constraints and annotations
{
  "example": "401"
}
All schema constraints and annotations
{
  "properties": {
    "status": {
      "example": "401"
    }
  }
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/scim_error"
    },
    {
      "properties": {
        "status": {
          "example": "401"
        }
      }
    }
  ]
}

error

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": "401"
}

Response 500

Internal Error

application/scim+json

All constraints apply

Schema: scim_error

status
All schema constraints and annotations
{
  "example": "500"
}
All schema constraints and annotations
{
  "properties": {
    "status": {
      "example": "500"
    }
  }
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/scim_error"
    },
    {
      "properties": {
        "status": {
          "example": "500"
        }
      }
    }
  ]
}

error

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:Error"
  ],
  "status": "500"
}

Referenced schemas

Complete operation contract
{
  "description": "Returns a service provider config for Docker's configuration.\n",
  "operationId": "getV2Scim20ServiceProviderConfig",
  "responses": {
    "200": {
      "$ref": "#/components/responses/scim_get_service_provider_config_resp"
    },
    "401": {
      "$ref": "#/components/responses/scim_unauthorized"
    },
    "500": {
      "$ref": "#/components/responses/scim_error"
    }
  },
  "security": [
    {
      "scimToken": []
    }
  ],
  "summary": "Get service provider config",
  "tags": [
    "scim"
  ]
}